import React from "react";
import { useParams } from "react-router-dom";

import OutgoingViewRecord from "@/record-management/components/recordOfficer/outgoingRecords/outgoingview";

const RecordDetailPage: React.FC = () => {
  const { id: recordId } = useParams<{ id: string }>();
  if (!recordId) {
    return <div>Record ID not found.</div>;
  }
  return <OutgoingViewRecord recordId={recordId} />;
};

export default RecordDetailPage;
